using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication175
{
    class Program
    {
        static int uporedi(frilenser a, frilenser b)
        {
            if(a.procenat>b.procenat)
            {
                return 1;
            }
            return -1;
        }
        struct frilenser
        {
            public double plata;
            public double procenat;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            frilenser[] a = new frilenser[n];
            for(int i=0;i<n;i++)
            {
                string []s = Console.ReadLine().Split();
                a[i].plata = 1.0*double.Parse(s[0]);
                a[i].procenat = 1.0*double.Parse(s[1]);
            }
            Array.Sort(a,uporedi);
            double S = 0;
            for(int i=0;i<n;i++)
            {
                S += a[i].plata;
            }
            double Smax = 0;
            for (int i = 0; i < n; i++)
            {
                if(S/100*a[i].procenat>Smax)
                {
                    Smax = S/100 * a[i].procenat;
                }
               
                S = S - a[i].plata;
            }
            Console.WriteLine(Smax);
            Console.ReadLine();
        }
    }
}